Jump to content
The simFlight Network Forums

FSUIPC4 doesn't show up in the addon menu of FSX


Recommended Posts

Here's the installer log:

Installer for FSUIPC4.DLL version 4.50

Looking in registry for FSX install path:

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Microsoft Games\Flight Simulator\10.0

Parameter"SetupPath"

Looking in registry for ESP install path:

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Microsoft ESP\1.0

Parameter"SetupPath"

Not there, so looking in:

HKEY_CURRENT_USER\SOFTWARE\Microsoft\Microsoft ESP\1.0

Parameter"AppPath"

... NOT found! ...

===========================================================

INSTALLATION FOR FSX:

AppPath="E:\Windows\Program Files\Microsoft Games\FSX"

Checking version of FSX.EXE:

... Version 10.0.60905.0 (Need at least 10.0.60905.0)

Checking compatibility with installed SimConnect:

Found SimConnect build 60905 (Original)

Checking if there's already a version of FSUIPC4 installed in:

E:\Windows\Program Files\Microsoft Games\FSX\Modules\FSUIPC4.DLL

... Version 4.500 found.

FSX Modules folder already exists.

Okay -- installed FSUIPC4 into "E:\Windows\Program Files\Microsoft Games\FSX\Modules\FSUIPC4.DLL"

Looking for the current user's Application Data path:

... found as "C:\Documents and Settings\Samuel Willins Aaron\Application Data"

Now finding \Microsoft\FSX\FSX.CFG for all users, including this one

Looking in "C:\Documents and Settings\Administrator\Application Data"

No FSX.CFG there

Looking in "C:\Documents and Settings\All Users\Application Data"

No FSX.CFG there

Looking in "C:\Documents and Settings\Default User\Application Data"

No FSX.CFG there

Looking in "C:\Documents and Settings\LocalService\Application Data"

No FSX.CFG there

Looking in "C:\Documents and Settings\NetworkService\Application Data"

No FSX.CFG there

Looking in "C:\Documents and Settings\Samuel Willins Aaron\Application Data"

Found FSX.CFG in "C:\Documents and Settings\Samuel Willins Aaron\Application Data\Microsoft\FSX\FSX.CFG"

Now checking DLL.XML ...

... There is a previous DLL.XML, checking for FSUIPC4 section.

... FSUIPC4 section already exists but will be replaced.

... FSUIPC4 section of DLL.XML written okay

Now checking for a SimConnect.XML file ...

... No SimConnect.XML file found. This is okay.

Now installing additional files into the Modules folder:

Installed "FSUIPC4 User Guide.pdf" okay

Installed "FSUIPC4 for Advanced Users.pdf" okay

Installed "FSUIPC4 History.pdf" okay

Installed "List of FSX controls.pdf" okay

Installed "GlobalSign Root.exe" okay

Installed "FSUIPC Lua Library.pdf" okay

Installed "FSUIPC Lua Plug-Ins.pdf" okay

Installed "Lua License.pdf" okay

Installed "Example LUA plugins.zip" okay

And here's the FSUIPC.LOG file:

********* FSUIPC4, Version 4.50 by Pete Dowson *********

Reading options from "E:\Windows\Program Files\Microsoft Games\FSX\Modules\Fsuipc4.ini"

NOTE: SimConnect Acc/SP2 Oct07 is supported, but it isn't installed.

User Name=""

User Addr=""

FSUIPC4 not user registered

WIDEFS7 not user registered, or expired

Running inside FSX (using SimConnect SP1 May07)

Module base=61000000

Wind smoothing fix is fully installed

DebugStatus=0

578 System time = 19:10:17

578 FLT UNC path = "C:\Documents and Settings\Samuel Willins Aaron\My Documents\Flight Simulator X Files\"

578 FS UNC path = "E:\Windows\Program Files\Microsoft Games\FSX\"

1938 LogOptions=00000000 00000001

1938 SimConnect_Open succeeded: waiting to check version okay

8203 Exception 5 "VERSION_MISMATCH", Ref 0, Version 0.60905: Open: SimConnect Version incorrect!

8203 Trying another version of SimConnect ...

8313 Now running with SimConnect Original

8313 SimConnect_Open succeeded: waiting to check version okay

8313 Exception 5 "VERSION_MISMATCH", Ref 0, Version 0.60905: Open: SimConnect Version incorrect!

8313 Trying another version of SimConnect ...

8438 Could not link to all needed SimConnect facilities

8438 Failed on SimConnect_CallDispatch for Message, return = 0xFF100020

23453 **** Retrying SimConnect connection****

23453 Could not link to all needed SimConnect facilities [code 0]

38516 **** Retrying SimConnect connection****

38516 Could not link to all needed SimConnect facilities [code 0]

53594 **** Retrying SimConnect connection****

53594 Could not link to all needed SimConnect facilities [code 0]

69531 **** Retrying SimConnect connection****

69531 Could not link to all needed SimConnect facilities [code 0]

87735 System time = 19:11:44

87735 *** FSUIPC log file being closed

Memory managed: 2 Allocs, 2 Freed

********* FSUIPC Log file closed ***********

What can I do to get FSUIPC to work?

Link to comment
Share on other sites

8203 Exception 5 "VERSION_MISMATCH", Ref 0, Version 0.60905: Open: SimConnect Version incorrect!

This is an error reported by SimConnect quite rarely. The only times I've heard of it happening have been when a copy of the SimConnect.DLL is installed into FSX someplace. There should be no such DLL anywhere accessible to FSX excepting the one installed in the Windows WinSxS folder. Possibly you or something you've installed has attempted to place a copy in the Modules folder or in FSX's main folder, or else in Windows folders someplace other than in the WinSxS folder?

I note that you are still running with only the base version of FSX -- have you not considered updating at least to SP1, or better SP1 + SP2, top fix most of the really bad bugs in the original release? I would strongly advise it. It may help fix this problem too.

Regards

Pete

Link to comment
Share on other sites

When I download and install SP1 and restart FSX, it tells me that there's an update that I haven't installed yet, so I click on it and it takes me back to the SP1 website. Do I need to reboot my computer to get it to realize that SP1 has already been installed?

That's interesting. I didn't know it did that. But isn't it optional? It presumably must be referring to the SP2 update which will be on the same website. Usually when programs tell you about updates they aren't mandatory. However, I would recommend SP2, as it makes SimConnect so much more efficient. Some folks say it is slower than SP1 but as many others say it is faster. On the whole I think you should go for it. But it is best to run FSX with SP1 first, then exit and install SP2.

Regards

Pete

Link to comment
Share on other sites

I don't think you understand - either SP1 claims to have installed itself but didn't, or FSX doesn't realize that SP1 is installed. Here's the link it gave me: http://www.fsinsider.com/downloads/Pages/FlightSimulatorXServicePack1.aspx

The thing is, then, WHAT is asking you to go to that site? That didn't exist when FSX was first published (obviously, it is an update). So it must be the SP1 update which is prompting you. Maybe it is for this, which I see there:

Notice: Third-party content requires VS 2005 SP1 to successfully load. Third-party content developed for FSX using VS 2005 SP1 requires the new VS 2005 SP1 redistributable file, available here: Download

Sorry, apart from what I've said I really have no idea. Why can't you simply go ahead and run FSX? You aren't telling me what the problem really is, only that you are told there's another update.

Many thousands of FSX users have already updated to SP1 and SP2 and no one so far has asked me any question even remotely resembling the one you are asking -- which is more properly addressed to Microsoft in any case. Maybe someone over on the FSX forum can help?

Pete

Link to comment
Share on other sites

How can I get FSUIPC to work without installing the updates? I checked for the simconnect.dll file in the fsx folder and didn't find a stray copy, so what else can I do to make FSUIPC work? I've tried everything I could think of.

I've really no idea how or why your FSX is corrupted, so all I can suggest is a complete uninstall of FSX. Then see the FSX Help Announcement above for details of how to delete SimConnect, then, finally, re-install.

This isn't an FSUIPC problem, but one which will affect any and all SimConnect applications, so it is important you get it sorted out. In the end it is a Microsoft support problem.

I would still strongly recommend applying both updates to FSX because they fix a lot of problems. You've not yet even said why you cannot run with SP1 installed. All you've said is that it recommends you going to a website. Why don't you explain these things?

Regards

Pete

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
 Share

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use. Guidelines Privacy Policy We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.